Bug 1739852 - long boot process because of a failing unit (lmsensors) in systemd
Summary: long boot process because of a failing unit (lmsensors) in systemd
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-11 09:03 UTC by bugzilla
Modified: 2020-05-26 18:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:40:05 UTC
Type: Bug


Attachments (Terms of Use)

Description bugzilla 2019-08-11 09:03:18 UTC
Description of problem:
The boot process takes quiet long on recent hardware

Version-Release number of selected component (if applicable):
systemd-udev-241-10.git511646b.fc30.x86_64
systemd-241-10.git511646b.fc30.x86_64

How reproducible:
Always when i reboot

Steps to Reproduce:
1. I installed fedora with rpmfusion and nvidia drivers, not sure if thats related
2. reboot

Actual results:
The boot process takes at least 30 seconds for one job

Expected results:
I expect a fast boot

Additional info:
root@DESKTOP-8QCVLES oli]# journalctl -p 3 -xb
-- Logs begin at Wed 2019-08-07 19:44:54 CEST, end at Sun 2019-08-11 10:51:28 CEST. --
Aug 11 12:33:50 localhost.localdomain kernel: ccp 0000:0c:00.1: sev command 0x4 timed out, disabling PSP 
Aug 11 12:33:50 localhost.localdomain kernel: ccp 0000:0c:00.1: SEV: failed to get status. Error: 0x0
Aug 11 10:33:54 localhost.localdomain kernel: sp5100-tco sp5100-tco: Watchdog hardware is disabled
Aug 11 10:34:58 localhost.localdomain systemd[1]: Failed to start Hardware Monitoring Sensors.
-- Subject: A start job for unit lm_sensors.service has failed
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A start job for unit lm_sensors.service has finished with a failure.
-- 
-- The job identifier is 241 and the job result is failed.
Aug 11 10:35:00 localhost.localdomain dbus-broker-launch[1752]: Activation request for 'org.a11y.atspi.Registry' failed.
Aug 11 10:35:00 localhost.localdomain dbus-broker-launch[1752]: Activation request for 'org.a11y.atspi.Registry' failed.
Aug 11 10:35:04 DESKTOP-8QCVLES lightdm[1787]: gkr-pam: unable to locate daemon control file
Aug 11 10:35:05 DESKTOP-8QCVLES dbus-broker-launch[2044]: Activation request for 'org.a11y.atspi.Registry' failed.
Aug 11 10:35:05 DESKTOP-8QCVLES dbus-broker-launch[2044]: Activation request for 'org.a11y.atspi.Registry' failed.
Aug 11 10:35:09 DESKTOP-8QCVLES lightdm[2058]: gkr-pam: unable to locate daemon control file

I guess it is related to that lmsensors message.

Comment 1 Zbigniew Jędrzejewski-Szmek 2019-08-11 09:32:51 UTC
Independently of the bug causing the slowdown, this service most likely should not be ordered before multi-user.target.
Consider adding DefaultDependencies=no, After=basic.target, Before=shutdown.target, Conflicts=shutdown.target
to remove that ordering.

Comment 2 Hans de Goede 2019-08-17 18:56:00 UTC
The slowdown is likely not related to lm_sensors, but rather too ccp driver issues.

Can you try creating a:

/etc/modprobe.d/blacklist-ccp.conf

File, with the following in there please:

blacklist ccp

And then reboot and see if that helps.

Also please provide the output of the following command:

systemctl status -n 20 lm_sensors.service

Comment 3 bugzilla 2019-11-01 09:07:59 UTC
This was my HTPC. I replaced that with an odroid n2 with another Distribution (CoreELEC), so i can not provide information anymore. This problem never occured on my workstation with Fedora.

Comment 4 Ben Cotton 2020-04-30 20:13:30 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 18:40:05 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.